Assign business to firm

POST /api/v1/advisory-firms/{firm_id}/businesses

Assign a business to an advisory firm.

Operation ID: assign_business_to_firm_api_v1_advisory_firms__firm_id__businesses_post · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Parameters

Path

firm_id string required

Request body

business_id string required
notes string

Responses

201 Successful Response

id string required
business_id string required
advisory_firm_id string required
is_active boolean required
start_date string · date-time required
end_date string · date-time required
created_at string · date-time required
updated_at string · date-time required
notes string

422 Validation Error

detail array · ValidationError ValidationError
5 fields
loc array · string | integer required
msg string required
type string required
input object
ctx object